#include <bits/stdc++.h>
using namespace std;
vector <int> v;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);
    cout.tie(NULL);
    int N,a,maxn,br=0;
    cin>>N;
    for(int i=0;i<N;i++){
        cin>>a;
        v.push_back(a);
    }
    for(int i=0;i<N;i++){
       // cout<<i<<endl;
        for(int j=i+1;j<N;j++){
            if(j==i+1){
                br++;
                maxn=v[j];
              //  cout<<v[i]<<" "<<v[j]<<endl;
            }else{
                if(max(v[i],v[j])>=maxn){
                    br++;
                  //  cout<<v[i]<<" "<<v[j]<<endl;
                    maxn=max(maxn,v[j]);
                }
            }
        }
    }
    cout<<br<<endl;
    return 0;
}
